{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 93.0, 44.0, 718.0, 706.0 ],
		"bglocked" : 0,
		"defrect" : [ 93.0, 44.0, 718.0, 706.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Intervals in a stream are defined including the first index and excluding the last one.",
					"linecount" : 3,
					"presentation_rect" : [ 555.0, 192.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 540.0, 195.0, 174.0, 48.0 ],
					"numoutlets" : 0,
					"id" : "obj-66",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Positions in a stream are defined by 0 based indexing",
					"linecount" : 2,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 540.0, 150.0, 159.0, 34.0 ],
					"numoutlets" : 0,
					"id" : "obj-65",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Get the entire stream",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 210.0, 525.0, 123.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-63",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"numinlets" : 1,
					"patching_rect" : [ 210.0, 540.0, 20.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-61",
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Every stream will send internal notifications to objects registered to the stream each time it gets cleared or modified (the latter can be disabled, though). The notified objects will then get a copy of the content of the stream before the stream itself would be cleared, which they can use for their own purposes. This means that in most cases you'll let the registered objects know that they should do their tasks on the stream by clearing the stream itself.",
					"linecount" : 5,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 135.0, 390.0, 494.0, 75.0 ],
					"numoutlets" : 0,
					"id" : "obj-59",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "The first two numbers are the indices of the bytes defining the range to be replaced",
					"linecount" : 2,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 435.0, 285.0, 238.0, 34.0 ],
					"numoutlets" : 0,
					"id" : "obj-35",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "The first number is the index of the byte to be replaced",
					"linecount" : 2,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 270.0, 285.0, 163.0, 34.0 ],
					"numoutlets" : 0,
					"id" : "obj-3",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Replace bytes",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 420.0, 270.0, 87.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-13",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "replacebyte 0 234",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 270.0, 315.0, 106.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-20",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sadam.stream foo",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 270.0, 345.0, 107.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-22",
					"outlettype" : [ "list", "bang", "list" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "replacearray 0 4 4 2 7 45 2 76 243 1 7 35",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 435.0, 315.0, 231.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-29",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "The first number is the index where the new items should be inserted",
					"linecount" : 3,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 120.0, 255.0, 139.0, 48.0 ],
					"numoutlets" : 0,
					"id" : "obj-60",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Insert bytes",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 255.0, 73.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-55",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "insertbyte 0 234",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 285.0, 96.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-56",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sadam.stream foo",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 340.0, 107.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-57",
					"outlettype" : [ "list", "bang", "list" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "insertarray 0 232 55 43 6 3 4 143",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 30.0, 315.0, 187.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-58",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Remove a byte or a list of bytes",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 360.0, 150.0, 179.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-54",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "erasebyte 1",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 360.0, 180.0, 73.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-52",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sadam.stream foo",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 360.0, 210.0, 107.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-40",
					"outlettype" : [ "list", "bang", "list" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Get stored bytes",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 45.0, 495.0, 99.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-37",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Get the size of the stream",
					"linecount" : 2,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 225.0, 570.0, 79.0, 34.0 ],
					"numoutlets" : 0,
					"id" : "obj-33",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "end position",
					"linecount" : 2,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 150.0, 510.0, 51.0, 34.0 ],
					"numoutlets" : 0,
					"id" : "obj-26",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "position",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 525.0, 52.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-23",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "start position",
					"linecount" : 2,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 90.0, 510.0, 51.0, 34.0 ],
					"numoutlets" : 0,
					"id" : "obj-7",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "pak 0 0",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 90.0, 570.0, 50.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-48",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "size",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 225.0, 600.0, 32.5, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-47",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "getarray $1 $2",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 90.0, 600.0, 88.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-46",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "print output",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 660.0, 71.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-43",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sadam.stream foo",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 630.0, 107.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-42",
					"outlettype" : [ "list", "bang", "list" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"numinlets" : 1,
					"patching_rect" : [ 525.0, 585.0, 20.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-41",
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Enable/disable notifications sent by changes made to the stream. Disabling notifications might save some processor time...",
					"linecount" : 5,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 330.0, 600.0, 157.0, 75.0 ],
					"numoutlets" : 0,
					"id" : "obj-39",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Set the name of a stream",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 495.0, 495.0, 145.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-38",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "button",
					"numinlets" : 1,
					"patching_rect" : [ 390.0, 580.0, 20.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-36",
					"outlettype" : [ "bang" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "toggle",
					"numinlets" : 1,
					"patching_rect" : [ 345.0, 490.0, 20.0, 20.0 ],
					"numoutlets" : 1,
					"id" : "obj-34",
					"outlettype" : [ "int" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sadam.stream foo",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 345.0, 550.0, 107.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-31",
					"outlettype" : [ "list", "bang", "list" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "print cleared",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 555.0, 585.0, 77.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-30",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "name foo",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 570.0, 525.0, 61.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-28",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "name boo",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 495.0, 525.0, 64.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-27",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sadam.stream foo",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 495.0, 555.0, 107.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-25",
					"outlettype" : [ "list", "bang", "list" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Clear the stream",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 390.0, 103.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-24",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "clear",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 420.0, 37.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-21",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sadam.stream foo",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 450.0, 107.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-18",
					"outlettype" : [ "list", "bang", "list" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "2 4 35 67 54 23 42 2 231 173 1 6 5",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 150.0, 180.0, 197.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-17",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Append some more bytes to the end of the stream",
					"linecount" : 2,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 150.0, 150.0, 152.0, 34.0 ],
					"numoutlets" : 0,
					"id" : "obj-5",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sadam.stream foo",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 150.0, 210.0, 107.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-6",
					"outlettype" : [ "list", "bang", "list" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Append bytes to the end of the stream",
					"linecount" : 2,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 150.0, 119.0, 34.0 ],
					"numoutlets" : 0,
					"id" : "obj-4",
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "sadam.stream foo",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 210.0, 107.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-1",
					"outlettype" : [ "list", "bang", "list" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "autohelp",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 540.0, 630.0, 57.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-19",
					"hidden" : 1,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "umenu",
					"varname" : "autohelp_see_menu",
					"items" : [ "(Objects:)", ",", "sadam.lzo", ",", "sadam.tcpreceiver", ",", "sadam.tcpsender", ",", "sadam.udpreceiver", ",", "sadam.udpsender", ",", "<separator>" ],
					"numinlets" : 1,
					"types" : [  ],
					"fontname" : "Arial",
					"patching_rect" : [ 530.0, 669.0, 130.0, 20.0 ],
					"numoutlets" : 3,
					"id" : "obj-10",
					"outlettype" : [ "int", "", "" ],
					"fontsize" : 11.595187
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_see_title",
					"text" : "See Also:",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 530.0, 649.0, 100.0, 20.0 ],
					"numoutlets" : 0,
					"id" : "obj-9",
					"fontface" : 1,
					"fontsize" : 11.595187
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_description",
					"text" : "sadam.stream represents a stream of bytes. By assigning a name to the stream, it is possible to access (read and modify) the same binary buffer by several objects at the same time. The sadam Library contains several stream-aware objects (mainly related to networking tasks). Using streams and the stream-aware objects of the sadam Library makes it really easy to communicate with devices that expect binary data such as most microcontrollers.",
					"linecount" : 5,
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 10.0, 57.0, 497.0, 73.0 ],
					"numoutlets" : 0,
					"id" : "obj-8",
					"fontsize" : 11.595187
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_digest",
					"text" : "Read and write binary streams.",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 10.0, 36.0, 485.0, 21.0 ],
					"numoutlets" : 0,
					"id" : "obj-11",
					"textcolor" : [ 0.93, 0.93, 0.97, 1.0 ],
					"frgb" : [ 0.93, 0.93, 0.97, 1.0 ],
					"fontsize" : 12.754705
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"varname" : "autohelp_top_title",
					"text" : "sadam.stream",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 10.0, 8.0, 485.0, 30.0 ],
					"numoutlets" : 0,
					"id" : "obj-12",
					"textcolor" : [ 0.93, 0.93, 0.97, 1.0 ],
					"frgb" : [ 0.93, 0.93, 0.97, 1.0 ],
					"fontface" : 3,
					"fontsize" : 20.871338
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "textbutton",
					"varname" : "autohelp_top_ref",
					"bgoveroncolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"presentation_rect" : [ 15.0, 15.0, 188.776779, 14.666666 ],
					"spacing_x" : 0.0,
					"bgoncolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 311.223206, 22.0, 188.776779, 14.666666 ],
					"spacing_y" : 0.0,
					"textoncolor" : [ 0.27, 0.35, 0.47, 1.0 ],
					"numoutlets" : 3,
					"id" : "obj-14",
					"underline" : 1,
					"textcolor" : [ 0.27, 0.35, 0.47, 1.0 ],
					"fontlink" : 1,
					"textovercolor" : [ 0.4, 0.5, 0.65, 1.0 ],
					"outlettype" : [ "", "", "int" ],
					"fontface" : 3,
					"bordercolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"fontsize" : 12.754705,
					"bgovercolor" : [ 0.0, 0.0, 0.0, 0.0 ],
					"text" : "open sadam.stream reference",
					"bgcolor" : [ 0.0, 0.0, 0.0, 0.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"varname" : "autohelp_top_panel",
					"grad2" : [ 0.85, 0.85, 0.85, 1.0 ],
					"background" : 1,
					"numinlets" : 1,
					"patching_rect" : [ 5.0, 5.0, 495.0, 52.0 ],
					"numoutlets" : 0,
					"id" : "obj-15",
					"mode" : 1,
					"grad1" : [ 0.27, 0.35, 0.47, 1.0 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"varname" : "autohelp_see_panel",
					"background" : 1,
					"numinlets" : 1,
					"patching_rect" : [ 525.0, 645.0, 140.0, 50.0 ],
					"numoutlets" : 0,
					"id" : "obj-16",
					"border" : 2,
					"bordercolor" : [ 0.5, 0.5, 0.5, 0.75 ],
					"bgcolor" : [ 0.85, 0.85, 0.85, 0.75 ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 180.0, 50.0, 20.0 ],
					"minimum" : 0,
					"numoutlets" : 2,
					"id" : "obj-2",
					"maximum" : 255,
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "notifyonchange $1",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 345.0, 520.0, 107.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-32",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "getbyte $1",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 570.0, 65.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-44",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 15.0, 540.0, 50.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-45",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 90.0, 540.0, 50.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-49",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "number",
					"numinlets" : 1,
					"fontname" : "Arial",
					"patching_rect" : [ 150.0, 540.0, 50.0, 20.0 ],
					"numoutlets" : 2,
					"id" : "obj-50",
					"outlettype" : [ "int", "bang" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "erasearray 2 5",
					"numinlets" : 2,
					"fontname" : "Arial",
					"patching_rect" : [ 435.0, 180.0, 88.0, 18.0 ],
					"numoutlets" : 1,
					"id" : "obj-51",
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-61", 0 ],
					"destination" : [ "obj-42", 0 ],
					"hidden" : 0,
					"midpoints" : [ 219.5, 624.5, 24.5, 624.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-22", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-29", 0 ],
					"destination" : [ "obj-22", 0 ],
					"hidden" : 0,
					"midpoints" : [ 444.5, 338.5, 279.5, 338.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-48", 0 ],
					"destination" : [ "obj-46", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-50", 0 ],
					"destination" : [ "obj-48", 1 ],
					"hidden" : 0,
					"midpoints" : [ 159.5, 564.5, 130.5, 564.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-49", 0 ],
					"destination" : [ "obj-48", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-47", 0 ],
					"destination" : [ "obj-42", 0 ],
					"hidden" : 0,
					"midpoints" : [ 234.5, 623.5, 24.5, 623.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-46", 0 ],
					"destination" : [ "obj-42", 0 ],
					"hidden" : 0,
					"midpoints" : [ 99.5, 623.5, 24.5, 623.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-45", 0 ],
					"destination" : [ "obj-44", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-44", 0 ],
					"destination" : [ "obj-42", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-42", 0 ],
					"destination" : [ "obj-43", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-25", 1 ],
					"destination" : [ "obj-41", 0 ],
					"hidden" : 0,
					"midpoints" : [ 548.5, 579.5, 534.5, 579.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-31", 1 ],
					"destination" : [ "obj-36", 0 ],
					"hidden" : 0,
					"midpoints" : [ 398.5, 574.5, 399.5, 574.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-34", 0 ],
					"destination" : [ "obj-32", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-32", 0 ],
					"destination" : [ "obj-31", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-25", 2 ],
					"destination" : [ "obj-30", 0 ],
					"hidden" : 0,
					"midpoints" : [ 592.5, 579.5, 564.5, 579.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-27", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-28", 0 ],
					"destination" : [ "obj-25", 0 ],
					"hidden" : 0,
					"midpoints" : [ 579.5, 548.5, 504.5, 548.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-18", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-51", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [ 444.5, 203.5, 369.5, 203.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-58", 0 ],
					"destination" : [ "obj-57", 0 ],
					"hidden" : 0,
					"midpoints" : [ 39.5, 336.0, 24.5, 336.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-52", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-56", 0 ],
					"destination" : [ "obj-57", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
